## kodi-pvr-freebox-dmo 20.3.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(pvr.freebox)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${PROJECT_SOURCE_DIR})

find_package(Kodi REQUIRED)
find_package(OpenSSL REQUIRED)
find_package(ZLIB REQUIRED)
find_package(nlohmann_json REQUIRED)

include_directories(${KODI_INCLUDE_DIR}/.. # Hack way with "/..", need bigger Kodi cmake rework to match right include ways
                    ${OPENSSL_INCLUDE_DIRS}
                    ${ZLIB_INCLUDE_DIRS}
                    ${NLOHMANNJSON_INCLUDE_DIRS})

set(DEPLIBS ${OPENSSL_LIBRARIES} ${ZLIB_LIBRARIES})

if(WIN32)
  list(APPEND DEPLIBS ws2_32)
endif()

set(FREEBOX_SOURCES src/Freebox.cpp)

set(FREEBOX_HEADERS src/Freebox.h)

addon_version(pvr.freebox FREEBOX)
add_definitions(-DFREEBOX_VERSION=${FREEBOX_VERSION})

build_addon(pvr.freebox FREEBOX DEPLIBS)

include(CPack)

=== depends/windows/strawberryperl/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(strawberryperl VERSION 5.28.0.1)

file(WRITE ${CMAKE_CURRENT_BINARY_DIR}/StrawberryPerlConfig.cmake "set(STRAWBERRYPERL_PATH ${CMAKE_CURRENT_SOURCE_DIR}/perl/bin)\n")
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/StrawberryPerlConfig.cmake DESTINATION ${CMAKE_INSTALL_PREFIX})

=== debian/changelog ===
kodi-pvr-freebox-dmo (20.3.2-dmo0~bpo11+2) oldstable-backports; urgency=medium

  * Improve Description: in case of the free player is in bridge mode.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 27 Dec 2023 15:41:14 +0100

kodi-pvr-freebox-dmo (20.3.2-dmo0~bpo11+1) oldstable-backports; urgency=medium

  * Build for oldstable-backports.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 21 Dec 2023 16:53:21 +0100

kodi-pvr-freebox-dmo (20.3.2-dmo2) unstable; urgency=medium

  * Add ${kodi:PVRAPI} tp Build-Depends.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 19 Dec 2023 08:24:29 +0100

kodi-pvr-freebox-dmo (20.3.2-dmo1) unstable; urgency=medium

  * Initial release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 18 Dec 2023 16:02:21 +0100

=== debian/control ===
Source: kodi-pvr-freebox-dmo
Section: video
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: https://github.com/aassif/pvr.freebox
Rules-Requires-Root: no
Standards-Version: 4.6.2
Build-Depends: debhelper-compat (= 13), cmake, dh-sequence-kodiaddon (>= 5:20~),
 zlib1g-dev, libssl-dev, ninja-build, nlohmann-json3-dev

Package: kodi-pvr-freebox
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${kodi:PVRAPI}
Description: Freebox TV PVR addon for Kodi
 This PVR client handles Freebox TV channels, EPG and recordings.
 .
 This addons doesn't work if your free player is in bridge mode.

=== debian/watch ===
version=4

opts="filenamemangle=s%.*/@ANY_VERSION@%@PACKAGE@-$1.tar.gz%,searchmode=plain" \
https://api.github.com/repos/aassif/pvr.freebox/tags?per_page=100 \
https://api.github.com/repos/aassif/pvr.freebox/tarball/refs/tags/@ANY_VERSION@-Nexus

## kodi-pvr-freebox-dmo 21.0.0

=== depends/common/openssl/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(openssl)

if(NOT CPU AND CMAKE_SYSTEM_PROCESSOR)
  set(CPU ${CMAKE_SYSTEM_PROCESSOR})
endif()

if(CORE_SYSTEM_NAME MATCHES "android")
  if(CPU MATCHES arm64)
    set(OPENSSL_TARGET android-arm64)
  elseif(CPU MATCHES arm)
    set(OPENSSL_TARGET android-arm)
  elseif(CPU MATCHES i686)
    set(OPENSSL_TARGET android-x86)
  endif()
elseif(CORE_SYSTEM_NAME MATCHES "linux" OR CORE_SYSTEM_NAME MATCHES "rbpi")
  if(CPU MATCHES aarch64 OR CPU MATCHES arm64 OR CPU STREQUAL x86_64 OR ARCH MATCHES aarch64 OR ARCH STREQUAL x86_64)
    set(OPENSSL_TARGET linux-generic64)
  elseif(CPU MATCHES arm OR CPU MATCHES "i.86" OR ARCH MATCHES arm OR CPU MATCHES cortex-a7 OR CPU MATCHES arm1176jzf-s)
    set(OPENSSL_TARGET linux-generic32)
  else()
    message(WARNING "Could not detect bitness for CPU ${CPU} - assuming 32bit")
    set(OPENSSL_TARGET linux-generic32)
  endif()
elseif(CORE_SYSTEM_NAME MATCHES "ios" OR CORE_SYSTEM_NAME MATCHES "darwin_embedded")
  set(OPENSSL_TARGET iphoneos-cross)
elseif(CORE_SYSTEM_NAME MATCHES "osx")
  if(CPU MATCHES aarch64 OR CPU MATCHES arm64 OR ARCH MATCHES aarch64 OR ARCH MATCHES arm64)
    set(OPENSSL_TARGET darwin64-arm64-cc)
  else()
    set(OPENSSL_TARGET darwin64-x86_64-cc)
  endif()
endif()

list(APPEND configure_command ${CMAKE_COMMAND} -E env)
list(APPEND configure_command ANDROID_NDK=${TOOLCHAIN})
list(APPEND configure_command AR=${CMAKE_AR})
list(APPEND configure_command CC=${CMAKE_C_COMPILER})
list(APPEND configure_command CFLAGS=${CMAKE_C_FLAGS})
list(APPEND configure_command CPPFLAGS=${CMAKE_CPP_FLAGS})
list(APPEND configure_command CXX=${CMAKE_CXX_COMPILER})
list(APPEND configure_command CXXFLAGS=${CMAKE_CXX_FLAGS})
list(APPEND configure_command INSTALL_PREFIX=)
list(APPEND configure_command LDFLAGS=${CMAKE_LD_FLAGS})
list(APPEND configure_command RANLIB=${CMAKE_RANLIB})
list(APPEND configure_command <SOURCE_DIR>/Configure)
list(APPEND configure_command ${OPENSSL_TARGET})
list(APPEND configure_command no-shared zlib)
if(PLATFORM MATCHES appletvos)
  list(APPEND configure_command no-async)
endif()
list(APPEND configure_command --prefix=${OUTPUT_DIR})
list(APPEND configure_command --with-zlib-include=${OUTPUT_DIR}/include)
list(APPEND configure_command --with-zlib-lib=${OUTPUT_DIR}/lib)
list(APPEND configure_command COMMAND sed -ie "s|PROGRAMS=|PROGRAMS=#|" ${PROJECT_SOURCE_DIR}/Makefile)
list(APPEND configure_command COMMAND sed -ie "s|-isysroot $.CROSS_TOP./SDKs/$.CROSS_SDK. ||" ${PROJECT_SOURCE_DIR}/Makefile)

include(ExternalProject)

externalproject_add(openssl
                    SOURCE_DIR ${CMAKE_SOURCE_DIR}
                    UPDATE_COMMAND ""
                    CONFIGURE_COMMAND ${configure_command}
                    INSTALL_COMMAND ""
                    BUILD_IN_SOURCE 1)

install(CODE "execute_process(COMMAND make install_sw WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})")

=== debian/changelog ===
kodi-pvr-freebox-dmo (21.0.0-dmo0~bpo12+1) stable-backports; urgency=medium

  * Build for stable-backports

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 14 Apr 2024 14:47:42 +0200

kodi-pvr-freebox-dmo (21.0.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 07 Apr 2024 14:20:25 +0200

kodi-pvr-freebox-dmo (20.3.2-dmo4) unstable; urgency=medium

  * Rebuild for time_t

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 18 Mar 2024 14:51:46 +0100

kodi-pvr-freebox-dmo (20.3.2-dmo3) unstable; urgency=medium

  * Improve Description: in case of the free player is in bridge mode.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 27 Dec 2023 15:12:49 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Homepage: https://github.com/aassif/pvr.freebox
 Rules-Requires-Root: no
 Standards-Version: 4.6.2
-Build-Depends: debhelper-compat (= 13), cmake, dh-sequence-kodiaddon (>= 5:20~),
+Build-Depends: debhelper-compat (= 13), cmake, dh-sequence-kodiaddon (>= 5:21~),
  zlib1g-dev, libssl-dev, ninja-build, nlohmann-json3-dev
 
 Package: kodi-pvr-freebox

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ -Scmake+ninja

override_dh_auto_configure:
	dh_auto_configure -- \
	-DCMAKE_BUILD_TYPE=RelWithDebInfo
override_dh_makeshlibs:
	dh_makeshlibs -n

override_dh_auto_test:
